{inputs, ...}: {
  imports = with inputs; [
    self.nixosModules.desktop
    self.nixosModules.system
    ./boot.nix
    ./disko.nix
    ./hardware.nix
    ./networking.nix
    ./nix.nix
    ./power-saving.nix
    ./programs.nix
    ./services.nix
    ./sops.nix
    ./stylix.nix
    ./users.nix
  ];

  desktop.niri.enable = true;

  locale.ukrainian.enable = true;

  opentabletdriver.enable = false;

  qmk-vial.enable = true;

  security.basic.enable = true;

  system.stateVersion = "25.05";

  time.timeZone = "Europe/Kyiv";

  virtual.libvirt.enable = true;

  wireless = {
    wifi.enable = true;
    bluetooth.enable = true;
    bluetooth.enableBlueman = true;
  };
}
