{
  pkgs,
  lib,
  config,
  ...
}: {
  options = {
    qmk-vial.enable =
      lib.mkEnableOption "adds a udev rule for vial keyboards";
  };
  config = lib.mkIf config.qmk-vial.enable {
    services.udev.extraRules = ''
      #vial rule
      KERNEL=="hidraw*", SUBSYSTEM=="hidraw", MODE="0660", GROUP="users", TAG+="uaccess", TAG+="udev-acl"
    '';
  };
}
