{
  lib,
  rustPlatform,
  fetchFromGitHub,
  pkg-config,
  cairo,
  glib,
  pango,
  stdenv,
  wayland,
}:

rustPlatform.buildRustPackage rec {
  pname = "wl-tray-bridge";
  version = "unstable-2024-10-24";

  src = fetchFromGitHub {
    owner = "mahkoh";
    repo = "wl-tray-bridge";
    rev = "5ea5bbddcf1dbb2ab4836b00b300803c928469c5";
    hash = "sha256-ewoHopL9/hgErshUWZBZ4H6MKt7iQD7x+4MebNzDdXQ=";
  };

  cargoHash = "sha256-YuxLTC7/EiBqqzYrFQDwxJUS7D0M3RvlBrybBZya9/Q=";

  nativeBuildInputs = [
    pkg-config
  ];

  buildInputs = [
    cairo
    glib
    pango
  ] ++ lib.optionals stdenv.isLinux [
    wayland
  ];

  meta = {
    description = "";
    homepage = "https://github.com/mahkoh/wl-tray-bridge";
    license = lib.licenses.gpl3Only;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "wl-tray-bridge";
  };
}
